Package org.apache.cxf.interceptor.security

## Class DelegatingAuthenticationInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.security.DelegatingAuthenticationInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public class DelegatingAuthenticationInterceptor
      extends AbstractPhaseInterceptor<Message>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingAuthenticationInterceptor()` |
    `DelegatingAuthenticationInterceptor​(String phase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `getAuthenticationScheme​(Message message)` |
    `void` | `handleMessage​(Message message)` | Intercepts a message.
    `void` | `setSchemeHandlers​(Map<String,​Interceptor<Message>> handlers)` |

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingAuthenticationInterceptor

          public DelegatingAuthenticationInterceptor()

    - #### DelegatingAuthenticationInterceptor

          public DelegatingAuthenticationInterceptor​(String phase)

  - ### Method Detail

    - #### handleMessage

          public void handleMessage​(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### setSchemeHandlers

          public void setSchemeHandlers​(Map<String,​Interceptor<Message>> handlers)

    - #### getAuthenticationScheme

          protected String getAuthenticationScheme​(Message message)